Bug 1279615 - [RFE] Support explicit configuration of L2 population
Summary: [RFE] Support explicit configuration of L2 population
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ga
: 8.0 (Liberty)
Assignee: Jiri Stransky
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On: 1271335
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-09 21:00 UTC by Brent Eagles
Modified: 2016-04-07 21:42 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-0.8.7-5.el7ost
Doc Type: Enhancement
Doc Text:
This update allows enabling of the Neutron L2 population feature. This helps reduce the amount of broadcast traffic in Tenant networks. Set the NeutronEnableL2Pop parameter in an environment file's 'default_parameters' section to enable Neutron L2 population.
Clone Of: 1271335
Environment:
Last Closed: 2016-04-07 21:42:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 244723 0 None None None Never
Red Hat Product Errata RHEA-2016:0604 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 8 director Enhancement Advisory 2016-04-08 01:03:56 UTC

Description Brent Eagles 2015-11-09 21:00:39 UTC
+++ This bug was initially created as a clone of Bug #1271335 +++

Support explicit configuration of L2 population in the overcloud:

The relevant configuration options are made to ml2_conf.ini on the controller.

# Insert l2population into the list of ML2 mechanism drivers
[ml2]
mechanism_drivers=...,l2population, ...


# enable l2 population in the agent configuration on all nodes running the agents
# (computes and network controllers)
# for openvswitch
[agent]
l2_population = [True|False]

# for linuxbridge
[vxlan]
l2_population = [True|False]

Comment 2 Brent Eagles 2015-11-12 15:53:44 UTC
Patch u/s for review to enable the variable in heat. It can be enabled/disable through a parameter override in a heat environment file at deployment time. Support for mechanism driver configuration already exists so it should be configurable the same way.

Comment 4 Nir Yechiel 2015-12-30 09:43:46 UTC
Hi Brent,

It looks like your upstream patch is merged now. Can you confirm that this is going to be included with OSP-8 or do we need a backport for that?

Thanks,
Nir

Comment 5 Brent Eagles 2016-01-05 13:42:19 UTC
Hi Nir,

I checked with Mike Burns and it seems like a rebase is expected so this should get in. We'll need to keep an eye on it.

Comment 8 errata-xmlrpc 2016-04-07 21:42:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0604.html


Note You need to log in before you can comment on or make changes to this bug.